org.apache.jmeter.gui

## Interface TestPlanListener

    public interface TestPlanListener

Implement this interface to be informed about Test plan being cleared to react to such events.

Since:
  4.0

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `afterTestPlanCleared()` Called after current test plan has been cleared
`void` `beforeTestPlanCleared()` Called before current test plan is cleared
`void` `testPlanLoaded()` Called after a new test plan has been loaded

### Method Detail

#### beforeTestPlanCleared

    void beforeTestPlanCleared()

Called before current test plan is cleared

#### afterTestPlanCleared

    void afterTestPlanCleared()

Called after current test plan has been cleared

#### testPlanLoaded

    void testPlanLoaded()

Called after a new test plan has been loaded